package com.jz.dmp.modules.service.sys;

import javax.servlet.http.HttpServletRequest;

import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.bean.BaseResponse;
import com.jz.common.bean.PageInfoResponse;
import com.jz.dmp.modules.controller.sys.bean.DmpProjectRoleBatch;
import com.jz.dmp.modules.controller.sys.bean.DmpProjectRoleDto;
import com.jz.dmp.modules.controller.sys.bean.DmpProjectRoleRequest;
import com.jz.dmp.modules.model.DmpProjectRole;

/**
 * 项目角色关系表服务接口
 * @author ybz
 *
 */
public interface DmpProjectRoleService {

	/**条件查询所有项目角色关系表
	 * @param dmpProjectRoleRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public PageInfoResponse<DmpProjectRoleDto> findList(DmpProjectRoleRequest dmpProjectRoleRequest, HttpServletRequest httpRequest)throws Exception;
	

	/**新增项目角色关系表
	 * @param dmpProjectRole
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProjectRole> add(DmpProjectRole dmpProjectRole, HttpServletRequest httpRequest)throws Exception;
	
	/**主键查询项目角色关系表
	 * @param dmpProjectRoleRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProjectRoleDto> findById(DmpProjectRoleRequest dmpProjectRoleRequest, HttpServletRequest httpRequest)throws Exception;

	/**修改项目角色关系表
	 * @param dmpProjectRole
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProjectRole> edit(DmpProjectRole dmpProjectRole, HttpServletRequest httpRequest)throws Exception;

	/**主键删除项目角色关系表
	 * @param dmpProjectRoleRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse deleteById(DmpProjectRoleRequest dmpProjectRoleRequest, HttpServletRequest httpRequest)throws Exception;

	/**批量新增项目角色关系表
	 * @param dmpProjectRoleVo
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProjectRoleBatch> addBatch(DmpProjectRoleBatch dmpProjectRoleBatch, HttpServletRequest httpRequest)throws Exception;

}
